ENVSUBST(1)

NUME
envsubst - înlocuiește variabilele de mediu în șiruri de caractere în format shell

REZUMAT
envsubst [OPȚIUNE] [FORMAT-SHELL]

DESCRIERE

Înlocuiește valorile variabilelor de mediu.

  Mod de operare:

-v, --variables
    afișează variabilele care apar în FORMAT-SHELL

  Ieșire informativă:

-h, --help
    afișează acest mesaj de ajutor și iese

-V, --version
    afișează informațiile despre versiune și iese

În modul normal de operare, intrarea standard este copiată la ieșirea standard, cu referințe către variabilele de mediu de forma $VARIABLE sau $(VARIABLE) fiind înlocuite cu valorile corespunzătoare. Dacă este specificat un FORMAT-SHELL, doar acele variabile de mediu către care se face referire în FORMAT-SHELL sunt substituite, în caz contrar toate referințele variabilelor de mediu din intrarea standard sunt substituite.

Dacă este folosită opțiunea --variables, intrarea standard este ignorată, iar ieșirea va consta în variabilele de mediu la care se face referire în FORMAT-SHELL, câte una pe linie.

AUTOR
Scris de Bruno Haible.

RAPORTAREA ERORILOR
Raportați erorile în sistemul de urmărire a erorilor la <https://savannah.gnu.org/projects/gettext> sau prin e-mail la <bug-gettext@gnu.org>.

DREPTURI DE AUTOR
Drepturi de autor © 2003-2020 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru envsubst este menținută ca un manual Texinfo. Dacă programele info(1) și envsubst sunt instalate corect pe sistemul dvs., comanda

    info envsubst

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.